summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm_basic
diff options
context:
space:
mode:
Diffstat (limited to 'src/vagrant/kubeadm_basic')
-rw-r--r--src/vagrant/kubeadm_basic/Vagrantfile17
-rwxr-xr-xsrc/vagrant/kubeadm_basic/deploy.sh4
-rwxr-xr-xsrc/vagrant/kubeadm_basic/examples/nginx-app.sh22
3 files changed, 28 insertions, 15 deletions
diff --git a/src/vagrant/kubeadm_basic/Vagrantfile b/src/vagrant/kubeadm_basic/Vagrantfile
index 063e802..abb71c4 100644
--- a/src/vagrant/kubeadm_basic/Vagrantfile
+++ b/src/vagrant/kubeadm_basic/Vagrantfile
@@ -3,20 +3,15 @@ $num_workers=2
Vagrant.require_version ">= 1.8.6"
Vagrant.configure("2") do |config|
- config.vm.box = "opnfv/container4nfv"
- config.vm.box_version = "0"
+ config.vm.box = "yk0/ubuntu-xenial"
+ config.vm.provider :libvirt do |libvirt|
+ libvirt.memory = 4096
+ libvirt.cpus = 4
+ end
+
config.vm.synced_folder "../..", "/src"
config.vm.provision "shell", path: "host_setup.sh", privileged: false
- config.vm.provider :virtualbox do |vb|
- vb.customize ["modifyvm", :id, "--memory", 4096]
- vb.customize ["modifyvm", :id, "--cpus", 4]
- vb.customize ["modifyvm", :id, "--nicpromisc3", "allow-all"]
- vb.customize ["setextradata", :id, "VBoxInternal/CPUM/SSE4.1", "1"]
- vb.customize ["setextradata", :id, "VBoxInternal/CPUM/SSE4.2", "1"]
- vb.customize "post-boot",["controlvm", :id, "setlinkstate1", "on"]
- end
-
config.vm.define "master" do |config|
config.vm.hostname = "master"
config.vm.provision "shell", path: "master_setup.sh", privileged: false
diff --git a/src/vagrant/kubeadm_basic/deploy.sh b/src/vagrant/kubeadm_basic/deploy.sh
index 4e12e91..89c4f40 100755
--- a/src/vagrant/kubeadm_basic/deploy.sh
+++ b/src/vagrant/kubeadm_basic/deploy.sh
@@ -4,6 +4,6 @@ set -ex
DIR="$(dirname `readlink -f $0`)"
cd $DIR
+../cleanup.sh
vagrant up
-vagrant ssh master -c "/vagrant/examples/nginx-app.sh" || (vagrant destroy -f; exit 1)
-vagrant destroy -f
+vagrant ssh master -c "/vagrant/examples/nginx-app.sh"
diff --git a/src/vagrant/kubeadm_basic/examples/nginx-app.sh b/src/vagrant/kubeadm_basic/examples/nginx-app.sh
index 07b9c22..ada4306 100755
--- a/src/vagrant/kubeadm_basic/examples/nginx-app.sh
+++ b/src/vagrant/kubeadm_basic/examples/nginx-app.sh
@@ -1,4 +1,21 @@
-#!/usr/bin/env bash
+#!/bin/bash
+#
+# Copyright (c) 2017 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
kubectl create -f /vagrant/examples/nginx-app.yaml
kubectl get nodes
@@ -10,10 +27,11 @@ r="0"
while [ $r -ne "2" ]
do
r=$(kubectl get pods | grep Running | wc -l)
- sleep 20
+ sleep 60
done
svcip=$(kubectl get services nginx -o json | grep clusterIP | cut -f4 -d'"')
+sleep 10
wget http://$svcip
kubectl delete rc --all
kubectl delete services --all